List markdown plans (price reductions / discounts / promotions / clearance)
curl --request GET \
--url https://app.solya.app/api/markdown-plans \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.solya.app/api/markdown-plans"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.solya.app/api/markdown-plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.solya.app/api/markdown-plans",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.solya.app/api/markdown-plans"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.solya.app/api/markdown-plans")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.solya.app/api/markdown-plans")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"code": "MK-SS25-A",
"description": "First markdown wave covering slow-movers from the spring collection",
"endDate": "2025-06-30",
"id": "ms-uuid-001",
"name": "Summer 2025 Wave A",
"season": "SS25",
"startDate": "2025-06-01",
"status": "VALIDATED"
}
],
"page": 1,
"pageSize": 20,
"total": 2
}Markdown
List markdown plans (price reductions / discounts / promotions / clearance)
Returns a page of markdown plans for the organization, optionally filtered by season. A markdown plan groups products/variants to discount — price reductions, promotions, sales, or clearance used to sell through slow-movers and overstock. Use this to browse existing markdown/discount plans. Supports page and pageSize query parameters.
GET
/
api
/
markdown-plans
List markdown plans (price reductions / discounts / promotions / clearance)
curl --request GET \
--url https://app.solya.app/api/markdown-plans \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.solya.app/api/markdown-plans"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.solya.app/api/markdown-plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.solya.app/api/markdown-plans",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.solya.app/api/markdown-plans"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.solya.app/api/markdown-plans")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.solya.app/api/markdown-plans")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"code": "MK-SS25-A",
"description": "First markdown wave covering slow-movers from the spring collection",
"endDate": "2025-06-30",
"id": "ms-uuid-001",
"name": "Summer 2025 Wave A",
"season": "SS25",
"startDate": "2025-06-01",
"status": "VALIDATED"
}
],
"page": 1,
"pageSize": 20,
"total": 2
}Authorizations
User session token issued by NextAuth. For human users accessing Solya via the web application.
Query Parameters
Filter by season code, e.g. SS24 or FW25
Page number, 1-indexed (default: 1)
Required range:
1 <= x <= 9007199254740991Number of items per page, max 100 (default: 20)
Required range:
1 <= x <= 100
